<?
include ("../common/scripts/connect.inc.php");
require_once ('../common/scripts/persoGD.inc.php');

session_start();

if(isset($_SESSION['idChar']) && isset($_SESSION['idTerrain'])){
	$id_mimichant=$_SESSION['idChar'];
	$id_terrier=$_SESSION['idTerrain'];

  //récupération de la liste des mimichants en vente dans cette foire
  $result= pg_query($dbconn,"select * from mimi_envente (".$id_terrier.")");
  $cpt=0;
  $affiche='<table width="99%">';
  	
  while($liste=pg_fetch_row($result))
  {
  	//recuperation du prix du mimichant
  	$prix= pg_query($dbconn,"select sold_price from characters_sold where char_id=".$liste[0]);	
	  $leprix=pg_fetch_row($prix);
	  
	  //cree l'image du mimichant
	  creeMimichant($liste[15],$liste[14],$liste[12],$liste[13],$liste[23]);
	  $nomImage = '../mimichants/minit'.$liste[12].'o'.$liste[13].'c'.$liste[14].'q'.$liste[15].'c'.$liste[23].'.gif';
	  
	
	$cpt++;
	$affiche.= "<tr id='tr".$cpt."' onclick=\"selectAchat('".$liste[0]."', 'tr".$cpt."','".$liste[3]."', '".$leprix[0]."')\"><td><img src=\"".$nomImage."\"  onmouseover=\"AffBulle('".$liste[4]."')\" onmouseout=\"HideBulle()\"/></td><td width='80%'>".$liste[3]."</td><td >".$leprix[0]." ch</td></tr>";
  }
  
  $affiche.='</table>';
  
  echo $affiche;
}

?>

